package com.vendor.burn.serial.workers;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.serial.workers.CallLibBootromWorker;
import java.util.ArrayList;
import java.util.List;

public class SerialHelper {
  private static final String SEPARATOR = ";";
  
  protected static final int SERIAL_PORTS_LENGTH = 1000;
  
  protected static final byte[] SERIAL_PORTS_RECEIVED = new byte[1000];
  
  public static List<String> getSerialPorts() {
    String[] comNameList = arraySerialPortsByStr();
    List<String> serialPorts = new ArrayList<>();
    for (int i = 0; i < comNameList.length; i++)
      serialPorts.add(comNameList[i]); 
    return serialPorts;
  }
  
  public static String[] arraySerialPortsByStr() {
    int result = CallLibBootromWorker.getSerialPortList(SERIAL_PORTS_RECEIVED, 1000);
    if (result == 0)
      return (new String(SERIAL_PORTS_RECEIVED)).split(";"); 
    return new String[] { "" };
  }
}
